Skip to content
CatalogCategories

Get categories tree

Returns the store's complete category hierarchy in display order.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/catalog/categories/tree" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
[  {    "id": "7204558912004327982",    "storeId": "7204558912004327977",    "name": "Polos",    "slug": "polos",    "order": 1,    "path": "Polos",    "requiresSizeGuide": false,    "level": 1,    "hasChildren": false,    "children": []  }]